import { componentSizes } from "../../constants/size.mjs";
import { buildProp } from "../../utils/vue/props/runtime.mjs";
import { inject, computed, unref } from "vue";
const useSizeProp = buildProp({
  type: String,
  values: componentSizes,
  required: false
});
const SIZE_INJECTION_KEY = Symbol("size");
const useGlobalSize = () => {
  const injectedSize = inject(SIZE_INJECTION_KEY, {});
  return computed(() => {
    return unref(injectedSize.size) || "";
  });
};
export {
  SIZE_INJECTION_KEY,
  useGlobalSize,
  useSizeProp
};
